make-memstick.sh: use UFSv2
ClosedPublic

Authored by emaste on Sep 5 2017, 6:35 PM.

Details

Summary

Although there's not much practical difference as far as the installer is concerned newfs creates UFSv2 by default and it seems sensible to use the contemporary UFS version.

Also, I intend to change makefs to create UFSv2 by default, to match newfs, and then we'll want make-memstick.sh to be explicit, rather than relying on the host tool's default.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
emaste created this revision.Sep 5 2017, 6:35 PM
jhibbits accepted this revision.Sep 5 2017, 6:43 PM
This revision is now accepted and ready to land.Sep 5 2017, 6:43 PM
andrew accepted this revision.Sep 5 2017, 7:10 PM
gjb accepted this revision.Sep 6 2017, 5:58 PM
Closed by commit rS323438: make-memstick.sh: use UFSv2 (authored by emaste, committed by ). · Explain WhySep 11 2017, 2:42 PM
This revision was automatically updated to reflect the committed changes.